<div class="d-flex flex-column justify-content-between mb-2 gap-4">
  <a class="btn btn-outline-primary align-self-start" routerLink="/tickets/ticket-list" role="button">Назад</a>
  <div class="ticket-info">
    <h3 class="mb-4">Информация о туре</h3>
    <div class="d-flex">
      <div style="background-image: url('/assets/img/{{ticket?.img}}')"
           class="ticket-image">
      </div>
      <div class="d-flex flex-column ps-4">
        <div class="ticket-name">{{ticket?.name}}</div>
        <p class="flex-grow-1">{{ticket?.description}}</p>
        <div class="ticket-price">{{ticket?.price}}</div>
      </div>
    </div>
  </div>
  <div class="user-info col-12 col-md-6 me-auto ms-0">
    <h3 class="mb-4">Информация о пользователе</h3>
    <div [formGroup]="userForm">
      <div class="mb-3 d-flex flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center">
        <span class="me-2">Имя<sup>*</sup></span>
        <input type="text"
               pInputText
               placeholder="Введите имя"
               formControlName="firstName"
               [ngClass]="{'empty-field': !userForm.controls['firstName'].value}"/>
      </div>
      <div class="mb-3 d-flex flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center">
        <span class="me-2">Фамилия<sup>*</sup></span>
        <input type="text"
               pInputText
               placeholder="Введите фамилию"
               formControlName="lastName"
               [ngClass]="{'empty-field': !userForm.controls['lastName'].value}"/>
      </div>
      <div class="mb-3 d-flex flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center">
        <span class="me-2">Номер карты</span>
        <input type="text"
               pInputText
               placeholder="Введите номер карты"
               formControlName="cardNumber"/>
      </div>
      <div class="mb-3 d-flex flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center">
        <span class="me-2">Дата рождения<sup>*</sup></span>
        <p-calendar formControlName="birthDay"
                    placeholder="Выберите дату"
                    [ngClass]="{'empty-field1': !userForm.controls['birthDay'].value}">
        </p-calendar>
      </div>
      <div class="mb-3 d-flex flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center">
        <span class="me-2">Возраст</span>
        <p-inputNumber formControlName="age"
                       [showButtons]="true"
                       [ngClass]="{'empty-field1': !userForm.controls['age'].valid}">
        </p-inputNumber>
      </div>
      <div class="mb-3 d-flex flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center">
        <span class="me-2">Гражданство</span>
        <input type="text"
               pInputText
               placeholder="Укажите гражданство"
               formControlName="citizen"/>
      </div>
    </div>
    <div class="caption">
      <p>* поля являются обязательными</p>
    </div>
    <div>
      <button type="submit"
              [disabled]="!userForm.valid"
              (click) = "initTour()"
              class="btn btn-primary w-100">
        Перейти к оформлению
      </button>
    </div>
  </div>
  <div class="nearest-tours">
    <h3 class="mb-4">Похожие туры</h3>
    <div class="mb-4">
    <span class="p-input-icon-left">
    <i class="pi pi-search"></i>
    <input type="text"
           pInputText
           [(ngModel)]="ticketSearchValue"
           #ticketSearch
           placeholder="Поиск">
    </span>
    </div>
    <ng-container *ngIf="nearestTours.length !== 0; else noTours">
      <div>
        <p-carousel [value]="nearestTours">
          <ng-template let-tour pTemplate="item">
            <div class="tour-name">{{tour.name}}</div>
            <div class="tour-region">{{tour.region.name}}</div>
            <div style="background-image: url('/assets/img/{{tour.img}}')"
                 class="tour-image">
            </div>
          </ng-template>
        </p-carousel>
      </div>
    </ng-container>
  </div>
</div>

<ng-template #noTours>
  <p>Туров не найдено</p>
</ng-template>

